Aller au contenu






- - - - -

CoolPreviews2 version Française pour Firefox 48.0 et +

Posté par Wullfk, dans Navigateur, Astuces - Optimisations 19 septembre 2016 · 1 109 visite(s)

Bonjour,

Il existe ICI la procédure pour faire fonctionner le module d'extension CoolPreviews sur Firefox 48 et ultérieur, moyennant l'installation d'un "Patch" sur Firefox.

L'extension n'étant plus disponible sur Mozilla, et n'est plus supporté par l'éditeur cooliris.com il faut sans remettre au téléchargement d'un fichier .xpi préalablement modifié pour pouvoir l'installer sur Firefox 48 et supérieur.

Vu le succès de ce module, j'ai entrepris de lui redonner vie de façon officiel dans le catalogue Mozilla. Mais il n'est nullement question de m’approprier l'extension, c'est plutôt une version en marge de la dernière version officielle, à ce titre j'ai volontairement conservé le nom de l'éditeur Cooliris dans les fichiers du module
 
Image IPB
J'ai donc repris le fichier .xpi de la version 4.6 modifié que j'ai recompiler et débarrasser des éléments qui ne seraient pas passer au près du service de contrôle de Mozilla, intégré la prise en charge du multiprocesseur, supprimé le moteur de recherche Ask.com et j'ai ajouté 3 moteurs de recherche sécurisé.À part ça tout est strictement identique à la version d'origine
 
Mais je ne me suis pas arrêté là, puisque à coté de ma version CoolPreviews2-5.1 en Anglais, j'ai créé une version avec un interface de réglage en Français. (CoolPreviews2-5.8)
 
Je ne suis pas partie d'une feuille vierge, j'ai simplement repris les deux principaux fichier .xul, et j'ai traduit ligne par ligne tous ce qui pouvait l'être et j'ai ajouter l'encodage ISO-8859-1 pour la prise en charge des caractères accentués.
 
Le seul frein à ce travaille de traduction, concernait certains fichiers javascript ou j'avais des problèmes de prise en compte des caractères accentués propre à langue de Molière, une histoire d'encodage UTF-8 ou ISO-8859-1
 
Le problème a été résolu grâce à l'intervention de Sylvain (administrateur du site Tutoriaux-Excalibur)
 
Merci à lui Image IPB
 
Concernait notamment la traduction des fonctionnalités des boutons de cette barre d'outils :
Image IPB
 
Les captures d'écran ci-dessous montre le panneau de contrôle et les trois onglets des paramètres utilisateurs en Français.
 
Image IPB
 
Image IPB
 
Image IPB
 
Image IPB
 
Les deux versions sont en cour de validation sur Mozilla, c'est normalement l'histoire de quelques jours. Je ne manquerais pas de mettre les liens officiels quand les 2 modules seront validées, actuellement ces ceux ci : 
03/11/2016 : Liens ci-dessus morts car l'extension n'a pas passé la validation de Mozilla
 
La solution proposé par Mozilla, c'est le déréférencement du module proposé, de ce fait il n'est pas listé dans le catalogue Mozilla, mais c'est là toute la différence, c'est qu'il obtiens quand même le statut "approuvé" par Mozilla.
 
Concrètement qu'est que ça veut dire ?
Je pense que lors de l'installation via le fichier .xpi et donc en dehors du catalogue Mozilla ça ne doit pas afficher l'avertissement comme quoi le module n'a pas été vérifié par Mozilla

Ça demande confirmation....
 
Si vous souhaitez à tout prix utiliser l'une ou l'autre version, je met à disposition le téléchargement des deux fichiers .xpiSi vous n'arrivez pas à installer l'extension et que vous obtenez le message suivant :
 
Image IPB
 
Installez le Patch Firefox
 
Ensuite installé CoolPreviews2 de la façon que vous voulez
À ce stade il ne dois pas y avoir de problème

Après redémarrage pour la prise en compte du module, fermer Firefox et supprimer les deux fichiers du patch.

Redémarrer Firefox, et vous constaterez que le module CoolPreviews2 est toujours présent et fonctionnel.

  • 0



bonjour

 

chez moi avec firefox 49.0.1

CoolPreview2 ne fonctionne pas

 

CoolPreview2-Fr fonctionne mais à chaque ouverture il faut cliquer sur le OK de ce messahe

 

coolpr10.jpg

    • 0
  • Signaler

Bonjour,

 

Chez moi ça fonctionne parfaitement que ce soit sur la 49.0.1 ou la version 45 EFR

 

Prend l'une des dernières versions sur un de mes blogs, et ça devrais aller.

 

J'ai un petit soucis c'est que toutes les versions que j'ai envoyer à Mozilla pour validation ont été refusé, pour une histoire de ligne de code que je ne sais malheureusement pas modifié, la seule alternative c'est d’utiliser l'une des dernières versions (fr ou en) dispo sur mes blogs.

    • 0
  • Signaler

bonsoir

 

Prend l'une des dernières versions sur un de mes blogs, et ça devrais aller.

 

quel blog ?

 

si c'est ces liens

Ceci dit si vous souhaitez à tout prix utiliser l'une ou l'autre version, je met à disposition le téléchargement des deux fichiers .xpi
 

voici l'erreur

http://easy.pc.blog....eviews2-5.0.xpi

 

 

quel différence avec celui sur les addons Mozilla ?

    • 0
  • Signaler

Bonsoir,

 

Ben les blogs dans ma signature.

 

Pour l'erreur c'est normale j'ai supprimé la version 5.0 et 5.2

 

Les dernières sont :

coolpreviews2-5.1.xpi

coolpreviews2-5.7.xpi

 

La 5.7 étant la version Fr

    • 0
  • Signaler

bonsoir

 

quel blog ?

 

si c'est ces liens

Ceci dit si vous souhaitez à tout prix utiliser l'une ou l'autre version, je met à disposition le téléchargement des deux fichiers .xpi
 

voici l'erreur

http://easy.pc.blog....eviews2-5.0.xpi

 

 

quel différence avec celui sur les addons Mozilla ?

Ben maintenant sur Mozilla, il n'y a plus la version Anglaise car elle n'a pas passer la validation, reste la version Fr 5.7 en cours de demande de validation, c'est strictement la même que sur mon blog, sauf que pour l'installation en passant par Mozilla tu as juste à cliquer sur installer, avec le xpi sur mes blogs la procédure n'est pas la même, il faut faire comme avec Thunderbird.

    • 0
  • Signaler

Octobre 2017

D L M M J V S
1234567
891011121314
15161718192021
22 232425262728
293031    

Ma photo

Rechercher dans le blog

utilisateur(s) actif(s)

membre(s), invité(s), utilisateur(s) anonyme(s)